Subject: Re: Royalty-Free Patent Policy (W3C)

From: Francois PELLEGRINI <[email-masked]>
Date: Mon, 24 Mar 2003 10:57:11 +0100

Hello all,

Just a precision: when I said from far away, I
meant that I am furiously busy by fighting
software patents in Europe (a software patent
directive is being voted, which we try to amend
so that it will prevent the patenting of software
-- at this stage, it is easier to reverse the meaning
of a legal text and make it say the contrary of what it
meant, as a positive law, rather than trying to remove
it). So, I can not read all what you send to me, and
I will have trouble to help you.

Gerry Gleason wrote:
> George Dafermos wrote:
> 
>>> One thing to consider is whether the Organis design ideas can be
>>> patented as unique business processes and
>>> organizational structures.  Obviously this has to be handled very
>>> carefully to avoid major strategic mistakes, but
>>> it could be the way to initiate the strategic moves as discussed above.
>>>
>>
>> Its an idea that has been in the background..... of my mind ...
>> patenting business processes and organizational structures is pushing
>> the domain of patents and supports it..... on the other hand is may
>> allow investment in the idea. and by investment I mean not just VC, but
>> more important code and other investments of  seting up NPO's and daily
>> operations.
>>
>>
>> In my opinion, patenting the very organic structures and processes 
>> that make Organis what it is will be a strategic mistake which we may 
>> not be able to undo later on. Not only will it stiffle creativity in 
>> the area but it may also breed bitterness among enthusiasts. To a 
>> certain extent, I'm sure that 'embracing patents' in the the same way 
>> that GPL embraces copyright is a smart move, however, such a strategy 
>> may have unintended consequences as we can all imagine.
>> I've started writing an email regarding the Osaka proposal and I hope 
>> I'm not too late to provide some feedback.
>>
>> George
>>
> I think you are right about the nature of the risk.  In fact, when I 
> suggested it, I had a vague thought about how this could be used to 
> establish a clear and unbreakable connection to the GGPL licenses.  On 
> second thought, I'm sure I wouldn't be happy if the FSF had established 
> a unique legal position for themselves with respect to the GPL, so I am 
> inclined to agree with your assessment of this concept.  At some level, 
> there could be a need to defensively patent a lot of stuff including 
> this, but I guess it would surprise me if anyone else wanted to patent 
> something like Organis.

Patents cannot protect innovation in the context of a
rapidly moving innovation scheme.

Because patents take more than 4 years to be granted,
they are granted much too later compared to duration
life of for instance software products (18 months), so
that they can only be used as anti-competitive weapons
of the largest range possible, i.e. broadest claims as
possible.

In the case of Organis, other people could well patent
it just to make sure that you will not develop it. This
happened in the past.

The solution is to timestamp and/or publish its
specifications ASAP, to make prior art. This will
be as valid as prior art by patents, because you
do not want to exclude people from using Organis,
but just make sure that nobody prevents other people
including you from developing it.

Anyway, the PTO will grant patents to everybody asking
for it (see below), so whether you have patents or other
prior art will anyway require you to defend your position
in court, at an expense of more than 1 M$ per trial, just
to prove your good faith. This is why patents are so
damaging for SMEs and are such a powerful anti-competitive
weapon.

Giving money to the PTOs, hoping that this will protect
you, is completely wrong.

> The fact that it has been written about should 
> establish it as prior art, but at least the USPTO doesn't seem to be 
> capable of rejecting a patent even when the prior art is obvious to anyone.

No, because they have an incentive in accepting
patents and not rejecting them: more patents =
more money, irrespective of the harm they provoke.
For an analysis of the EPO, which is just a step
beyond the USPTO, please look at:

http://cip.umd.edu/Aigrain.htm
(point 9)

> That's really the motivation for 'embracing patents', because patents 
> often seem to be the only recognized prior art, making them necessary if 
> only defensively.

No, as said above.
See: http://www.forbes.com/asap/2002/0624/044.html

Either you have 10000 patents, or you do
not need to have any...

> It is also worth noting that the GGPL terms wouldn't 
> restrict a patent holder from licensing the patent under other terms 
> while also making it available for GGPL project inclusion under no-cost 
> terms.  This has been discussed as a valid model for GPL release as 
> well.  In this context, the restrictions of GPL and GGPL can be seen as 
> an advantage because the IP owner isn't giving away an essentially 
> unrestricted license, and thus the IP can retain a sale value to people 
> who want to create a derivative work under other licensing terms 
> including fully commercial terms.

It is possible to mix licences, e.g. to have
a GPL-like licence for free, and a proprietary
licence for money.
It is a bit more complex, but workable.
This guarantee that other parties can contribute for
free if they agree to put their contributions in the
common pot, while allowing other bodies to derivate
private work, if they choose to "play individual", but
with some expense that will anyway benefit to the public
stream by funding the organisation.

> This is more what I was referring to as having a connection with the 
> normal patent process.

The economy of immaterial has nothing to do with
the economy of material goods for which the patent
system was designed.

> I don't think RMS really anticipated that a 
> large body of GPLed code would develop with a large number of 
> independent authors retaining primary rights to their work while sharing 
> under GPL terms. 

> The fact is that the universe of GPLed code is far 
> larger than what a single organization (FSF) could produce, and the GPL 
> (and Free/Open Source generally) is far stronger for it.

Yes. But this must be encouraged, as it guarantees
the flourishing and perpetuation of the model. This
is a "network externalities" property: the more people
use the model, the more it becomes strong and useful.

					f.p.

P.S.: I have to hide my periscope as I have a heavy schedule
this week.